/*
Theme Name: MoreBlog
Theme URI:  https://afthemes.com/products/moreblog/
Author:     AF themes
Author URI: https://afthemes.com/
Description: MoreMag is a dynamic, magazine-centric WordPress child theme on the MoreNews framework for bloggers and editorial publishers. It includes 9+ custom widgets, specialized widget sections, and customizable banner options with light/dark reading modes. The theme features a header and footer builder and is fully compatible with the Block Editor and Elementor for high-visibility site design. Optimized for speed and Core Web Vitals, it integrates with WooCommerce for digital subscriptions and shops. It is translation-ready with RTL support, providing a professional platform for modern magazines. It ships with multilingual demos in English, Spanish, French, German, and Arabic. https://afthemes.com/products/moreblog/
Template: morenews
Version: 1.1.22
Requires at least: 4.0
Requires PHP: 5.0
Tested up to: 6.9
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: moreblog
Tags: news, blog, entertainment, one-column, two-columns, three-columns, four-columns, grid-layout, block-patterns, block-styles, left-sidebar, right-sidebar, custom-header, flexible-header, custom-background, custom-logo, custom-menu, custom-colors, featured-images, full-width-template, post-formats, rtl-language-support, footer-widgets, translation-ready, theme-options, threaded-comments, wide-blocks

This theme, like WordPress, is licensed under the GPL.
Use it to make something cool, have fun, and share what you've learned with others.

MoreBlog WordPress Theme, Copyright 2025 AF themes
MoreBlog is distributed under the terms of the GNU GPL v2 or later.
*/

body,
button,
input,
select,
optgroup,
textarea {
    line-height: 1.7
}

input {
    vertical-align: middle
}

textarea {
    width: 100%
}

body .reply a,
div#respond input[type="submit"],
.btn-style1 a:visited,
.btn-style1 a,
button,
input[type="button"],
input[type="reset"],
input[type="submit"] {
    padding: 5px 10px;
    font-size: 14px;
    text-transform: uppercase;
    font-weight: 700;
}

p {
    margin-bottom: 20px
}

div#main-navigation-bar {
    background: #102039;
}

.exclusive-posts .exclusive-now {
    background-color: #cb1111;
}

.main-navigation .menu-description {
    background-color: #cb1111;
}

.main-navigation .menu-description:after {
    border-top: 5px solid #cb1111;
}

.morenews-header div.custom-menu-link>a {
    background: #cb1111;
}

.read-img .trending-no,
.trending-posts-vertical .trending-no {
    background-color: #cb1111;
}

.af-cat-widget-carousel a.morenews-categories.category-color-1 {
    background-color: #102039;
}

a.morenews-categories.category-color-1 {
    color: #102039;
}

.af-cat-widget-carousel a.morenews-categories.category-color-2 {
    background-color: #cb1111;
}

a.morenews-categories.category-color-2 {
    color: #cb1111;
}

.af-cat-widget-carousel a.morenews-categories.category-color-3 {
    background-color: #e86000;
}

a.morenews-categories.category-color-3 {
    color: #e86000;
}

.aft-default-mode .entry-content>.wp-block-heading a:not(.has-link-color) {
    border-color: #cb1111;
}
.aft-default-mode .entry-content .wp-block-heading:not(.has-link-color):not(.wp-block-post-title) a,
.entry-content > p:not(.has-link-color) a, .entry-content > p:not(.has-link-color) a:visited{
    color: #cb1111;
}

footer.site-footer.data-bg::before,
.af-header-image.data-bg::before {
    opacity: 0.75;
}

.aft-banner-layout-7 .af-banner-carousel.af-carousel-4 .read-title h3,
.morenews_posts_express_list .grid-part .read-title h3,
#secondary .archive-list-post .read-title h3,
#sidr .archive-list-post .read-title h3,
footer .archive-list-post .read-title h3,
body .primary-footer-area:first-child:nth-last-child(3) .morenews_posts_slider_widget .read-single .read-details .read-title h3,
body .primary-footer-area:first-child:nth-last-child(3)~.primary-footer-area .morenews_posts_slider_widget .read-single .read-details .read-title h3,
#sidr .morenews_posts_slider_widget .read-single .read-details .read-title h3,
#secondary .morenews_posts_slider_widget .read-single .read-details .read-title h3,
.site-footer .morenews_posts_slider_widget .read-single .read-details .read-title h3,
.morenews_posts_double_columns_widget .af-widget-body .af-sec-post .read-title h3,
.archive-list-post .read-title h3,
.archive-masonry-post .read-title h3,
body:not(.archive-first-post-full) .archive-layout-grid.four-col-masonry article:nth-of-type(5n).archive-image-list-alternate .archive-grid-post .read-title h3,
body:not(.archive-first-post-full) .archive-layout-grid.two-col-masonry article:nth-of-type(3n).archive-image-list-alternate .archive-grid-post .read-title h3,
body:not(.archive-first-post-full) .archive-layout-grid.three-col-masonry article:nth-of-type(4n).archive-image-list-alternate .archive-grid-post .read-title h3,
.archive-first-post-full .archive-layout-grid.four-col-masonry article:nth-of-type(5n+6).archive-image-list-alternate .archive-grid-post .read-title h3,
.archive-first-post-full .archive-layout-grid.two-col-masonry article:nth-of-type(3n+4).archive-image-list-alternate .archive-grid-post .read-title h3,
.archive-first-post-full .archive-layout-grid.three-col-masonry article:nth-of-type(4n+5).archive-image-list-alternate .archive-grid-post .read-title h3,
.two-col-masonry article.latest-posts-grid.col-3 .read-title h3,
.af-main-banner-categorized-posts.express-posts .af-sec-post:not(.list-part) .read-title h3,
.af-main-banner-thumb-posts .read-single:not(.af-cat-widget-carousel) .read-title h3 {
    font-size: 30px;
}

.widget-title-border-center .wp-block-search__label,
.widget-title-border-center .morenews-widget .wp-block-heading,
.widget-title-border-bottom .wp-block-search__label,
.widget-title-border-bottom .morenews-widget .wp-block-heading,
.widget-title-border-none .wp-block-search__label,
.widget-title-border-none .morenews-widget .wp-block-heading,
.aft-posts-tabs-panel .nav-tabs>li>a,
h4.af-author-display-name,
body.widget-title-border-bottom .widget-title,
body.widget-title-border-center .widget-title,
body.widget-title-border-none .widget-title,
.header-after1,
.widget-title {
    font-size: 20px;
}

blockquote {
    font-size: 1.4rem
}

ul.trail-items li a {
    font-size: 16px;
    opacity: 1
}

.entry-header .entry-meta {
    font-size: 16px
}

.entry-header .post-excerpt {
    font-size: 1.4rem
}

a.comment-reply-link {
    font-size: 12px;
    padding: 5px 10px;
    transition: all 300ms ease-out;
    text-transform: uppercase;
    font-weight: 700
}

a.comment-reply-link,
a.comment-reply-link:visited,
a.comment-reply-link:hover,
a.comment-reply-link:focus {
    color: #ffffff;
}

.comment-metadata a {
    font-size: 16px
}

.wp-block-latest-comments.has-avatars .wp-block-latest-comments__comment-excerpt,
.wp-block-latest-comments .wp-block-latest-comments__comment-excerpt {
    margin: 20px 0 0
}

.wp-calendar-table tbody,
#wp-calendar tbody {
    color: #404040
}

#wp-calendar thead th {
    font-weight: 700
}

.aft-dark-mode .wp-block-table :where(figcaption),
.aft-dark-mode .wp-block-calendar table:where(:not(.has-text-color)),
.aft-dark-mode .wp-calendar-table tbody,
.aft-dark-mode #wp-calendar tbody {
    color: #fff
}

.aft-dark-mode #content a,
.aft-dark-mode a,
.aft-dark-mode #content a:visited {
    color: #fff;
}

.wp-block-table thead {
    border-bottom: 2px solid
}

.wp-block-table tfoot {
    border-top: 2px solid
}

.wp-block-table :where(figcaption) {
    font-size: 14px;
    font-style: italic
}

.gallery-caption {
    position: static
}

figcaption a {
    text-decoration: underline
}

.wp-caption .wp-caption-text {
    font-size: 16px;
    font-style: italic
}

.morenews-pagination .nav-links .page-numbers.dots {
    border-width: 0
}

body.page div.comments-area {
    padding: 0;
    -webkit-box-shadow: none;
    box-shadow: none
}

.entry-content>[class^="wp-block-"] {
    margin-bottom: 30px
}

.gt_float_switcher .gt_options a {
    background-color: #fff !important;
    color: #444 !important;
}

#gt_float_wrapper .gt_float_switcher .gt_options a {
    font-size: 15px;
    font-weight: 600;
    padding: 8px 10px;
}

.wp-block-code code,
.wp-block-code .editor-plain-text,
body.aft-dark-mode #sidr,
body.aft-dark-mode code,
body.aft-dark-mode {
    background-color: #1a1a1a;
}

blockquote cite {
    text-transform: none;
    font-style: italic;
    font-size: .75em
}

.wp-block-latest-posts.wp-block-latest-posts__list li,
.wp-block-latest-comments li.wp-block-latest-comments__comment,
.wp-block-group ul li,
.widget:not(.morenews_social_contacts_widget) ul.menu>li,
.widget ul ul li,
.widget>ul>li {
    margin-bottom: 10px;
    padding-bottom: 10px
}

ul.wp-block-categories-list.wp-block-categories li a,
ul.wp-block-archives-list.wp-block-archives li a {
    font-weight: 700;
    transition: all .075s linear;
    border-width: 0
}

.morenews-widget .wp-block-group .wp-block-heading {
    font-size: 16px;
}

.morenews_posts_slider_widget .read-single .read-details .read-title h3,
article.latest-posts-full .read-title h3,
.af-banner-carousel .read-title h3 {
    font-size: 34px
}

.wp-post-author .wp-post-author-meta-bio {
    opacity: 1
}

.wp-post-author .awpa-display-name {
    font-weight: 700
}

.awpa-review-field .right-star .awpa-rating-button {
    border-radius: 50px;
    text-transform: none;
    font-weight: 400;
    line-height: normal
}

a.awpa-more-posts:hover {
    border-bottom: 1px solid !important
}

body.single h3.awpa-title,
body.single .awpa-review-field h3 {
    margin-top: 2.5rem;
    padding-top: 2.5rem;
    border-top: 1px solid #0003
}

.wp-post-author-meta-more-posts {
    margin-bottom: 20px
}

body .af-social-contacts .social-widget-menu .screen-reader-text {
    font-size: 14px;
    font-weight: 700
}

body .social-widget-menu ul li a:after,
body .aft-small-social-menu ul li a:after {
    font-size: 16px
}

pre.wp-block-verse {
    padding: 20px;
    background-color: #efefef;
}

.wp-block-pullquote {
    padding: 20px
}

body .post-navigation .em-post-navigation {
    opacity: 1;
    font-weight: normal;
}

body.single-post .aft-image-caption {
    background: #000c
}

.aft-image-caption p,
.entry-content.read-details .entry-meta {
    font-size: 16px
}

body .entry-content>ul a.wp-block-pages-list__item__link {
    border: none;
}

article .promotionspace .morenews-customizer {
    margin-bottom: 0;
}

article .mailchimp-block {
    margin-top: 20px;
}

.site-info {
    text-align: center;
    padding: 10px;
}

.home-featured-widgets .morenews-widget:last-child {
    margin-bottom: 20px;
}

.secondary-footer .af-container-row,
.site-info .af-container-row {
    margin: 0;
}

body.single-post .aft-image-caption {
    background: rgb(0 0 0 / 75%);
}

.aft-image-caption p {
    opacity: 1;
    font-size: 14px;
}

.aft-dark-mode .post-page-numbers,
.aft-dark-mode .morenews-pagination .nav-links .page-numbers{
    color: #ffffff;
    border-color: rgba(255, 255, 255, 0.3);
}

span.post-page-numbers.current,
.morenews-pagination .nav-links .page-numbers.current{
    color: #fff;
    background: #212121;
}

.post-page-numbers,
.morenews-pagination .nav-links .page-numbers.current,
.morenews-pagination .nav-links .page-numbers{
    min-width: 30px;
}

.entry-content li ol:not([class*="wp-"]) ,
.entry-content li ul:not([class*="wp-"]) {
    padding-bottom: 0px;
    padding-top: 5px;
}

input.search-field{
    font-size: 16px;
}

.author-info {
    font-size: inherit;
}

.entry-content li > ol, .entry-content li > ul, .comments-area li > ol, .comments-area li > ul {
    margin: 5px 0 5px 20px !important;
    padding-left: 0;
}

.entry-content li [class^="wp-block-"] {
    margin-bottom: 5px;
}

.entry-content section.morenews-author-bio {
    margin-top: 24px;
}

span.wpcf7-list-item label {
    display: flex;
    align-items: center;
}
form.wpcf7-form label input[type="checkbox"]{
    width: unset;
    margin: 0 10px 0 0;
}

.entry-content .gallery {
    margin-top: 0;
    margin-bottom: 24px;
}

@media only screen and (max-width: 375px) {
    body .site-branding .site-title {
        font-size: 2.75rem
    }
}


@media only screen and (max-width: 640px) {
    .container-wrapper {
        padding-left: 10px;
        padding-right: 10px
    }


    body.single-post .entry-title,
    body h1.page-title {
        font-size: 1.75rem
    }

    body.single .entry-header .aft-post-excerpt-and-meta .post-excerpt {
        font-size: 1.2rem
    }

    .reply,
    .comment div#respond,
    .comment-content,
    .comment .children {
        margin-left: 50px;
    }

    .comment-author img {
        width: 30px;
    }

    .comment .children .children .reply,
    .comment .children .children .comment-content,
    .comment .children .children .children .children {
        margin-left: 0;
    }
}

@media screen and (max-width: 768px) {
    .exclusive-posts .exclusive-now {
        float: left;
    }

    .main-navigation .menu .menu-mobile {
        width: 50%;
    }

    .header-layout-3 .site-header .site-branding .site-title,
    body .site-branding .site-title {
        font-size: 2.75rem
    }
}

@media only screen and (max-width: 479px) {
    .exclusive-posts .exclusive-now {
        float: none;
    }

    .main-navigation .menu .menu-mobile {
        width: 100%;
    }

}